## groovy.lang
Class GroovyLogTestCase

Helper class to spoof log entries as produced by calling arbitrary code. This allows non-intrusive testing of dependent objects without explicitly using Mock objects as long as those dependent objects do some proper logging. As a measure of last resort, it can be used on MetaClass to spoof it's log entries on 'invokeMethod'.

author:
  Dierk Koenig

see:
  GroovyLogTestCaseTest

Constructor Summary
`GroovyLogTestCase()`

Method Summary
`static String` | `stringLog(Level level, String qualifier, Closure yield)` Execute the given Closure with the according level for the Logger that is qualified by the qualifier and return the log output as a String.
`static def` | `withLevel(Level level, String qualifier, Closure yield)` Execute the given Closure with the according level for the Logger that is qualified by the qualifier.

Constructor Detail

### GroovyLogTestCase

    GroovyLogTestCase()

Method Detail

### stringLog

    public static String stringLog(Level level, String qualifier, Closure yield)

  Execute the given Closure with the according level for the Logger that is qualified by the qualifier and return the log output as a String. Qualifiers are usually package or class names. Existing log level and handlers are restored after execution.

### withLevel

    public static def withLevel(Level level, String qualifier, Closure yield)

  Execute the given Closure with the according level for the Logger that is qualified by the qualifier. Qualifiers are usually package or class names. The log level is restored after execution.